--AH:ScriptId=C7A9C4BF-B078-43DC-BFDB-7FD97727BA8F

IF OBJECT_ID('[DockerRepositories]') IS NOT NULL DROP VIEW [DockerRepositories]
GO

CREATE TABLE [DockerRepositories]
(
	[DockerRepository_Id] INT IDENTITY(1, 1) NOT NULL,
	[Feed_Id] INT NOT NULL,
	[Repository_Name] VARCHAR(255) NOT NULL,
	[ShortDescription_Text] NVARCHAR(100) NULL,
	[FullDescription_Text] NVARCHAR(MAX) NULL,

	CONSTRAINT [PK__DockerRepositories]
		PRIMARY KEY ([DockerRepository_Id]),

	CONSTRAINT [FK__DockerRepositories__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id])
		ON DELETE CASCADE,

	CONSTRAINT [UQ__DockerRepositories]
		UNIQUE ([Feed_Id], [Repository_Name])
)
GO

INSERT INTO [DockerRepositories]
(
	[Feed_Id],
	[Repository_Name],
	[ShortDescription_Text],
	[FullDescription_Text]
)
SELECT DI_U.[Feed_Id],
       DI_U.[Repository_Name],
	   DRD.[ShortDescription_Text],
	   DRD.[FullDescription_Text]
  FROM (SELECT DI.[Feed_Id],
               DI.[Repository_Name]
          FROM [DockerImages] DI
         GROUP BY DI.[Feed_Id], DI.[Repository_Name]) DI_U
       LEFT JOIN [DockerRepositoryDescriptions] DRD
	          ON DRD.[Feed_Id] = DI_U.[Feed_Id]
			 AND DRD.[Repository_Name] = DI_U.[Repository_Name]
