EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'DebianPackages_GetPackageVersions',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'DebianPackages',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a list of packages from a Debian feed.'
GO

IF OBJECT_ID('[DebianPackages_GetPackageVersions]') IS NOT NULL DROP PROCEDURE [DebianPackages_GetPackageVersions]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [DebianPackages_GetPackageVersions]
(
	@Feed_Id INT,
	@Component_Name VARCHAR(255) = NULL,
	@Package_Name VARCHAR(255) = NULL,
	@Architecture_Name VARCHAR(255) = NULL,
	@Version_Text VARCHAR(255) = NULL
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [DebianPackages]
	 WHERE [Feed_Id] = @Feed_Id
	   AND ([Component_Name] = @Component_Name OR @Component_Name IS NULL)
	   AND ([Package_Name] = @Package_Name OR @Package_Name IS NULL)
	   AND ([Architecture_Name] = @Architecture_Name OR @Architecture_Name IS NULL)
	   AND ([Version_Text] = @Version_Text OR @Version_Text IS NULL)

END
GO

GRANT EXECUTE ON [DebianPackages_GetPackageVersions] TO [ProGetUser_Role]
GO
