EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'FeedPackageFilters_DeletePackageFilter',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a feed package filter.'
GO

IF OBJECT_ID('[FeedPackageFilters_DeletePackageFilter]') IS NOT NULL DROP PROCEDURE [FeedPackageFilters_DeletePackageFilter]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [FeedPackageFilters_DeletePackageFilter]
(
	@Feed_Id INT,
	@Sequence_Number INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	DELETE
	  FROM [FeedPackageFilters]
	 WHERE [Feed_Id] = @Feed_Id
	   AND [Sequence_Number] = @Sequence_Number

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [FeedPackageFilters_DeletePackageFilter] TO [ProGetUser_Role]
GO
	   

