EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'HelmCharts_DeleteChart',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a chart from a Helm feed.'
GO

IF OBJECT_ID('[HelmCharts_DeleteChart]') IS NOT NULL DROP PROCEDURE [HelmCharts_DeleteChart]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [HelmCharts_DeleteChart]
(
	@Feed_Id INT,
	@Chart_Name VARCHAR(200),
	@Version_Text VARCHAR(200)
)
AS
BEGIN

SET NOCOUNT ON

	DELETE
	  FROM [HelmCharts]
	 WHERE [Feed_Id] = @Feed_Id
	   AND [Chart_Name] = @Chart_Name
	   AND [Version_Text] = @Version_Text

	EXEC [Events_RaiseEvent] 'PKGDEL', @Feed_Id, 'Package_Name', @Chart_Name, 'Package_Version', @Version_Text

END
GO

GRANT EXECUTE ON [HelmCharts_DeleteChart] TO [ProGetUser_Role]
GO
