EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'LogMessages_GetMessages',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'LogMessages_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the messages from the error log that match the specified criteria.'
GO

IF OBJECT_ID('[LogMessages_GetMessages]') IS NOT NULL DROP PROCEDURE [LogMessages_GetMessages]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [LogMessages_GetMessages]
(
	@Row_Count INT,
    @IncludeReadMessages_Indicator YNINDICATOR = 'N',
	@Category_Name VARCHAR(30) = NULL,
	@Message_Level INT = NULL,
	@Feed_Id INT = NULL,
	@Connector_Id INT = NULL
) AS
BEGIN

    SET NOCOUNT ON

	IF @Row_Count IS NOT NULL
	    SET ROWCOUNT @Row_Count

    SELECT *
	  FROM [LogMessages_Extended]
     WHERE (COALESCE(@IncludeReadMessages_Indicator, 'N') = 'Y' OR [Read_Indicator] = 'N')
	   AND (@Category_Name IS NULL OR [Category_Name] = @Category_Name)
	   AND (@Message_Level IS NULL OR [Message_Level] >= @Message_Level)
	   AND (@Feed_Id IS NULL OR [Feed_Id] = @Feed_Id)
	   AND (@Connector_Id IS NULL OR [Connector_Id] = @Connector_Id)
     ORDER BY [LogMessage_Id] DESC

END
GO

GRANT EXECUTE ON [LogMessages_GetMessages] TO [ProGetUser_Role]